## elkcode 2.1.25

=== src/Makefile ===

#-------------------------------------------------------------------------------
# defaults
#-------------------------------------------------------------------------------
MAKE = make
AR = ar
F90 = f90
F90_OPTS =
F77 = f90
F77_OPTS =
LIB_SYS =
LIB_LPK = lapack.a blas.a
LIB_FFT = fftlib.a
LIB_XC =

include ../make.inc

#-------------------------------------------------------------------------------
# To use MPI parallelism change the variable F90 in elk/make.inc to the MPI
# version of Fortran 90 (usually mpif90). Then comment out the following line
# and run 'make clean' followed by 'make'.
SRC_mpi = mpi_stub.f90
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
SRC_libxc = libxcifc_stub.f90
# To install libxc first download and compile the library, and then copy libxc.a
# to this directory. Then uncomment the following lines and run 'make clean'
# followed by 'make'.
#LIB_XC = libxc.a
#SRC_libxc = libxc_funcs.f90 libxc.f90 libxcifc.f90
#-------------------------------------------------------------------------------

# modules
SRC_modules = modmain.f90 $(SRC_mpi) modmpi.f90 $(SRC_libxc) modxcifc.f90 \
 modfxcifc.f90 modldapu.f90 modrdm.f90 modphonon.f90 modscdft.f90 modtest.f90 \
 modrandom.f90 modstore.f90 modpw.f90

# main program
SRC_main = main.f90

# subroutines and functions
SRC_routines = \
 findprimcell.f90 findsym.f90 findsymcrys.f90 genppts.f90 rfinp.f90 \
 rvfcross.f90 seceqn.f90 symrf.f90 symrfir.f90 wavefmt.f90 force.f90 \
 elfplot.f90 rhonorm.f90 energy.f90 gensdmat.f90 zpotclmt.f90 writegeom.f90 \
 nfftifc.f90 zfftifc.f90 allatoms.f90 gridsize.f90 potks.f90 bfieldks.f90 \
 genrmesh.f90 readfermi.f90 potcoul.f90 gensfacgp.f90 checkmt.f90 zfinp.f90 \
 match.f90 forcek.f90 writeefg.f90 findsymlat.f90 genffacgp.f90 mixerifc.f90 \
 mixpack.f90 genlofr.f90 atom.f90 writefermi.f90 writekpts.f90 fsmfield.f90 \
 mossbauer.f90 occupy.f90 writelinen.f90 writeinfo.f90 readinput.f90 \
 readspecies.f90 charge.f90 moment.f90 writesym.f90 genidxlo.f90 gencore.f90 \
 rhocore.f90 genshtmat.f90 plot1d.f90 plot2d.f90 plot3d.f90 \
 writeiad.f90 symvect.f90 vecplot.f90 linengy.f90 init0.f90 genylmg.f90 \
 init1.f90 genvsig.f90 gencfun.f90 genapwfr.f90 seceqnfv.f90 \
 seceqnsv.f90 seceqnss.f90 dos.f90 rhoinit.f90 potplot.f90 \
 writestate.f90 potxc.f90 zpotcoul.f90 genzvclmt.f90 gndstate.f90 rhomag.f90 \
 rhomagk.f90 readstate.f90 bandstr.f90 writeeval.f90 rhoplot.f90 gradwf2.f90 \
 gradwfcr2.f90 rfarray.f90 fermisurf.f90 symrvfir.f90 symrvf.f90 \
 wfplot.f90 hmlrad.f90 olprad.f90 olpistl.f90 olpaa.f90 olpalo.f90 olplolo.f90 \
 hmlistl.f90 hmlaa.f90 hmlalo.f90 hmllolo.f90 init2.f90 init3.f90 writelsj.f90 \
 wavefcr.f90 gradrf.f90 dbxcplot.f90 effmass.f90 projsbf.f90 seceqnhf.f90 \
 writelat.f90 energynn.f90 findigp0.f90 writeengy.f90 writechg.f90 \
 writeforces.f90 genjlgpr.f90 findkpt.f90 putevalfv.f90 getevalfv.f90 \
 putevalsv.f90 getevalsv.f90 putoccsv.f90 getoccsv.f90 putevecfv.f90 \
 getevecfv.f90 putevecsv.f90 getevecsv.f90 delevec.f90 genvmatk.f90 \
 genvmat.f90 genwfsv.f90 genwfsvp.f90 gendmat.f90 findsymsite.f90 geomplot.f90 \
 hartfock.f90 genkmatc.f90 vnlcore.f90 energykncr.f90 rfpack.f90 rfint.f90 \
 writefsm.f90 genbmatk.f90 hflocal.f90 seceqnit.f90 genexpmat.f90 \
 writeexpmat.f90 elnes.f90 symdmat.f90 genlmirep.f90 rhomagsh.f90 \
 testcheck.f90 fermisurfbxsf.f90 checkfsm.f90 genexpmt.f90 \
 gensocfr.f90 writesf.f90 ggamt_sp_1.f90 ggair_sp_1.f90 \
 ggamt_1.f90 ggair_1.f90 genspecies.f90 ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 \
 ggair_2b.f90 ggamt_sp_2a.f90 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 \
 writeqpts.f90 potefield.f90 findswidth.f90 wfcrplot.f90 zftrf.f90 zftzf.f90 \
 sfacrho.f90 sfacmag.f90 sfacinit.f90 findqpt.f90 seceqnfvz.f90 seceqnfvr.f90 \
 genpmat.f90 writepmat.f90 getpmat.f90 geomopt.f90 geomstep.f90 nesting.f90 \
 gentau.f90 xc_c_tb09.f90 mtdmin.f90 writeemd.f90 compton.f90 \
 genevfsv.f90 gentauk.f90 gentaucr.f90 ssfext.f90 sstask.f90 spiralsc.f90 \
 genscss.f90 findscq.f90 init4.f90 genhvec.f90 addlorbcnd.f90 nuclei.f90 \
 gradzf.f90

SRC_phonon = \
 phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 readdyn.f90 dynqtor.f90 \
 dynrtoq.f90 dynsymapp.f90 dynsym.f90 dyndiag.f90 phdos.f90 sumrule.f90 \
 writephn.f90 phfext.f90 writegamma.f90 readgamma.f90 phlwidth.f90 \
 writelambda.f90 alpha2f.f90 phscdelete.f90 phdvs.f90 writedvs.f90 readdvs.f90 \
 ephcouple.f90 genephmat.f90 eliashberg.f90 readalpha2f.f90 mcmillan.f90 \
 phonon.f90 dforce.f90 dmatch.f90 dhmlaa.f90 dhmlalo.f90 \
 dhmllolo.f90 dhmlistl.f90 dolpaa.f90 dolpalo.f90 dolpistl.f90 putdevalfv.f90 \
 getdevalfv.f90 putdevecfv.f90 getdevecfv.f90 putdevecsv.f90 \
 getdevecsv.f90 dhmlrad.f90 dseceqnfv.f90 gendcfun.f90 \
 dwavefmt.f90 gendsocfr.f90 dpotcoul.f90 dpotxc.f90 gendvsig.f90 dpotks.f90 \
 phmixpack.f90 zfpack.f90 gendwfsv.f90 \
 drhomagk.f90 gradrhomt.f90 phdelete.f90 gengvsmt.f90 dforcek.f90 \
 hmlaaq.f90 hmlaloq.f90 olpaaq.f90 olpaloq.f90

SRC_SCDFT = \
 hmlbdg.f90 seceqnbdg.f90 scdft.f90 genachi.f90 bdginv.f90 achiinit.f90 \
 genidxbdg.f90

SRC_advanced = \
 genzrho.f90 genwiq2.f90 writewiq2.f90 genjlgq0r.f90 exxengy.f90 exxengyk.f90 \
 oepmain.f90 oepresk.f90 oepvnl.f90 oepvnlk.f90 genzmagmt.f90 genzmag.f90 \
 zrhogp.f90 moke.f90 dielectric.f90 nonlinopt.f90 genvchi0.f90 epsinv_rpa.f90 \
 writehmlbse.f90 hmlxbse.f90 hmlxbsek.f90 hmldbse.f90 hmldbsek.f90 \
 dielectric_bse.f90 getcf2pt.f90 genwfpw.f90 writewfpw.f90 getwfpw.f90 \
 genidxbse.f90 writeevbse.f90 genspchi0.f90 gengqrf.f90

SRC_LDAU = \
 gendmatlu.f90 genveelu.f90 genvmatlu.f90 writeldapu.f90 readalphalu.f90 \
 tensmom.f90  dm2tensmom.f90  tensmomengy.f90 dmplz.f90 fluykwa.f90 \
 fluykwa0.f90 genflufr.f90 engyflu.f90 writeengyflu.f90 zbessela.f90 \
 zbesselb.f90 readdmatlu.f90 genflu.f90 findlambdalu.f90 readflu.f90 \
 writetensmom.f90

SRC_RDMFT = \
 rdmft.f90 rdmdkdc.f90 rdmminc.f90 rdmvaryc.f90 rdmdedc.f90 \
 rdmenergy.f90 rdmengyxc.f90 rdmwritededn.f90 rdmwriteengy.f90 rdmminn.f90 \
 rdmvaryn.f90 rdmdedn.f90 rdmdexcdn.f90 genvnlijji.f90 genvnlijjk.f90 \
 getvnlijji.f90 getvnlijjk.f90 writevnlijji.f90 writevnlijjk.f90 \
 rdmdexcdc.f90 rdmdtsdn.f90 rdmentropy.f90 rdmeval.f90

SRC_TDDFT = tddftlr.f90 genvfxc.f90 genfxcr.f90 genspfxcr.f90 genvfxcg.f90 \
 tddftsplr.f90 genspfxcg.f90

SRC_lib = \
 euler.f90 wigner3j.f90 gaunt.f90 gauntyry.f90 r3mm.f90 r3mtm.f90 r3mmt.f90 \
 r3mv.f90 r3mtv.f90 r3cross.f90 r3minv.f90 r3mdet.f90 r3frac.f90 \
 i3mdet.f90 i3mtv.f90 factnm.f90 factr.f90 hermite.f90 brzint.f90 sphcrd.f90 \
 sphcover.f90 erf.f90 clebgor.f90 wigner6j.f90 sbessel.f90 sbesseldm.f90 \
 gengvec.f90 genylm.f90 genrlm.f90 zheri.f90 zher2i.f90 lopzflm.f90 \
 sortidx.f90 gcd.f90 zfmtinp.f90 rfmtinp.f90 findband.f90 gradzfmt.f90 \
 gradrfmt.f90 ztorflm.f90 rtozflm.f90 zflmconj.f90 rotzflm.f90 polynom.f90 \
 sdelta.f90 stheta.f90 sdelta_mp.f90 stheta_mp.f90 sdelta_fd.f90 stheta_fd.f90 \
 sdelta_sq.f90 stheta_sq.f90 rdiracint.f90 rdiracdme.f90 rdirac.f90 \
 rschrodint.f90 rschroddme.f90 rschrodapp.f90 reciplat.f90 connect.f90 \
 flushifc.f90 spline.f90 rfinterp.f90 rfmtctof.f90 fderiv.f90 fsmooth.f90 \
 rotaxang.f90 i3minv.f90 axangsu2.f90 z2mm.f90 z2mctm.f90 z2mmct.f90 \
 gengkvec.f90 potnucl.f90 timesec.f90 vecfbz.f90 mixadapt.f90 mixpulay.f90 \
 ylmrot.f90 ylmroty.f90 rlmrot.f90 rotrflm.f90 sdelta_lr.f90 stheta_lr.f90 \
 grad2rfmt.f90 mixbroyden.f90 rfirvec.f90 pade.f90 radnucl.f90 findngkmax.f90 \
 zgerci.f90 zfmtctof.f90

SRC_xc = \
  xc_pzca.f90 xc_pwca.f90 xc_pbe.f90 xc_am05.f90 xc_xalpha.f90 xc_wc06.f90 \
  x_wc06.f90 x_pbe.f90 c_pbe.f90 c_pbe_gcor.f90 xc_vbh.f90 fxc_pwca.f90

SRC = $(SRC_modules) $(SRC_main) $(SRC_routines) $(SRC_lib) $(SRC_advanced) \
 $(SRC_phonon) $(SRC_SCDFT) $(SRC_xc) $(SRC_LDAU) $(SRC_RDMFT) $(SRC_TDDFT)

OBJ = $(SRC:.f90=.o)
EXE = elk

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Targets
#-------------------------------------------------------------------------------
elk:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ) $(LIB_LPK) $(LIB_FFT) $(LIB_XC) \
         $(LIB_SYS)

blas:
	cd BLAS; $(MAKE); cp blas.a ..

lapack:
	cd LAPACK; $(MAKE); cp lapack.a ..

fft:
	cd fftlib; $(MAKE); cp fftlib.a ..

all:	blas lapack fft elk

clean:
	rm -f *.o *.mod *~ ifc* *.gcno gmon.out *.aux *.dvi *.log \
         elk.pdf *.tex *.toc $(EXE)

cleanall:
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	$(MAKE) clean

doc:
	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
	ls $(SRC_modules) $(SRC_routines) $(SRC_lib) $(SRC_xc) $(SRC_advanced) \
         $(SRC_phonon) $(SRC_LDAU) $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
	./protex -F -s $(SRC_main) $$(cat elk.lst) > elk.tex
	pdflatex elk;pdflatex elk;pdflatex elk

backup:
	tar -czf elk.tgz *.f90 fftlib eos spacegroup junk BLAS LAPACK \
         Makefile notes.txt ../docs ../examples ../tests protex ../COPYING \
         ../README elk_silhouette.pdf depend gentest genalltests \
         checklist.txt rmspaces grepelk

VERSION = $$(awk -F"/" '/data version/ {print $$2}' modmain.f90 | sed 's/ //g;s/,/./g')$
NAME = elk-$(VERSION)
RELEASE = ../release/$(NAME)

release:
	rm -rf $(RELEASE)
	mkdir $(RELEASE)
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	cd eos; $(MAKE) clean
	cd spacegroup; $(MAKE) clean
	cd ..; find . -type f -name *~ -exec rm -f {} \;
	cd ..; find . -type f -name gmon.out -exec rm -f {} \;
	cd ..; find . -type f -name RUNNING -exec rm -f {} \;
	mkdir $(RELEASE)/src
	cp -r BLAS $(RELEASE)/src
	cp -r LAPACK $(RELEASE)/src
	cp -r fftlib $(RELEASE)/src
	cp -r eos $(RELEASE)/src
	cp -r spacegroup $(RELEASE)/src
	cp $(SRC) Makefile protex elk_silhouette.pdf $(RELEASE)/src
	cp libxc_funcs.f90 libxc.f90 libxcifc.f90 $(RELEASE)/src
	cp -r ../examples $(RELEASE)
	cp -r ../tests $(RELEASE)
	mkdir $(RELEASE)/species
	cp ../species/*.in $(RELEASE)/species
	cp -r ../utilities $(RELEASE)
	cp ../COPYING $(RELEASE)
	cp ../README $(RELEASE)
	cp ../release_notes.txt $(RELEASE)
	cp ../Makefile $(RELEASE)
	cp ../setup $(RELEASE)
	$(MAKE) doc
	cp elk.pdf ../docs
	cd spacegroup;$(MAKE) doc;cp spacegroup.pdf ../../docs;$(MAKE) clean
	cp -r ../docs $(RELEASE)
	tar -C ../release -czf ../release/$(NAME).tgz $(NAME)
	cp ../docs/elk.pdf ../release
	cp ../docs/spacegroup.pdf ../release

lines:
	cat $(SRC) | wc -l

spaces:
	./rmspaces $(SRC)

=== debian/changelog ===
elkcode (2.1.25-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/rules: Disable parallel builds to fix FTBFS (closes: #720837).
    (override_dh_install): Rename binary to elk-lapw (closes: #720044).
  * debian/patches/makeflags.patch: Adjusted.
    - Use dpkg-buildflags to get the flags and enable hardening.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 27 Aug 2013 22:50:04 +0200

elkcode (2.1.25-1) unstable; urgency=low

  [ Daniel Leidert ]
  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Fixed format.
  * debian/elk-lapw.doc-base: Added.
  * debian/elk-lapw.docs: Removed release notes.
  * debian/elk-lapw.install: Added.
  * debian/rules: Enabled parallel build. Rename Perl script. Install release
    notes as upstream changelog.
    (override_dh_auto_install): Dropped and used elk-lapw.install instead.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 17 Aug 2013 21:32:52 +0200

elkcode (1.4.22-1) unstable; urgency=low

  * Initial release (Closes: #706538).

 -- Michael Banck <mbanck@debian.org>  Thu, 11 Jul 2013 22:18:34 +0200

=== debian/control ===
Source: elkcode
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 8),
               gfortran,
               libblas-dev,
               liblapack-dev
Standards-Version: 3.9.4
Homepage: http://elk.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elkcode/

Package: elk-lapw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: All-Electron Density-Functional Electronic Structure Code
 Elk is an all-electron full-potential linearised augmented-plane wave
 (FP-LAPW) code. By not including pseudo-potentials, Elk can provide very
 reliable high-precision results and works for every chemical element. Features
 include:
 .
  * FP-LAPW basis with local-orbitals
  * APW radial derivative matching to arbitrary orders at muffin-tin surface
    (super-LAPW, etc.)
  * Arbitrary number of local-orbitals allowed (all core states can be made
    valence for example)
  * Total energies resolved into components
  * LSDA and GGA functionals available
  * Isolated molecules or periodic systems
  * Core states treated with the radial Dirac equation
 .
 Elk is parallelized via OpenMP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXAMPLEDIR=debian/elk-lapw/usr/share/doc/elk-lapw/examples

%:
	dh $@

override_dh_installexamples:
	for i in tests/test-*; do                                    		\
	  mkdir -p $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`; 	\
	  cp $$i/elk.in $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`;\
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	(cd tests; sh ./tests_quick.sh)
	for i in tests/test-*/test.log; do	\
	  if [ -e $$i ]; then			\
	    echo "Error for test $$i:";		\
	    sed -n -e '/^Error/,$$p' $$i;	\
	  fi					\
	done
endif

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc.pl \
	   $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc
	mv $(CURDIR)/debian/elk-lapw/usr/bin/elk \
	   $(CURDIR)/debian/elk-lapw/usr/bin/elk-lapw #bug #720044

override_dh_installchangelogs:
	dh_installchangelogs release_notes.txt

.NOTPARALLEL:

## elkcode 2.2.5

=== src/Makefile ===
--- 
+++ 
@@ -41,8 +41,8 @@
 
 # subroutines and functions
 SRC_routines = \
- findprimcell.f90 findsym.f90 findsymcrys.f90 genppts.f90 rfinp.f90 \
- rvfcross.f90 seceqn.f90 symrf.f90 symrfir.f90 wavefmt.f90 force.f90 \
+ findprimcell.f90 symmetry.f90 findsym.f90 findsymcrys.f90 genppts.f90 \
+ rfinp.f90 rvfcross.f90 seceqn.f90 symrf.f90 symrfir.f90 wavefmt.f90 force.f90 \
  elfplot.f90 rhonorm.f90 energy.f90 gensdmat.f90 zpotclmt.f90 writegeom.f90 \
  nfftifc.f90 zfftifc.f90 allatoms.f90 gridsize.f90 potks.f90 bfieldks.f90 \
  genrmesh.f90 readfermi.f90 potcoul.f90 gensfacgp.f90 checkmt.f90 zfinp.f90 \
@@ -74,11 +74,13 @@
  ggair_2b.f90 ggamt_sp_2a.f90 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 \
  writeqpts.f90 potefield.f90 findswidth.f90 wfcrplot.f90 zftrf.f90 zftzf.f90 \
  sfacrho.f90 sfacmag.f90 sfacinit.f90 findqpt.f90 seceqnfvz.f90 seceqnfvr.f90 \
- genpmat.f90 writepmat.f90 getpmat.f90 geomopt.f90 geomstep.f90 nesting.f90 \
+ genpmat.f90 writepmat.f90 getpmat.f90 geomopt.f90 atpstep.f90 nesting.f90 \
  gentau.f90 xc_c_tb09.f90 mtdmin.f90 writeemd.f90 compton.f90 \
  genevfsv.f90 gentauk.f90 gentaucr.f90 ssfext.f90 sstask.f90 spiralsc.f90 \
  genscss.f90 findscq.f90 init4.f90 genhvec.f90 addlorbcnd.f90 nuclei.f90 \
- gradzf.f90
+ gradzf.f90 rfmtsm.f90 rhomagsm.f90 genstress.f90 writestress.f90 latvstep.f90 \
+ zbsht.f90 zfsht.f90 zfmtadd.f90 rbsht.f90 rfsht.f90 mae.f90 symmat.f90 \
+ genstrain.f90
 
 SRC_phonon = \
  phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 readdyn.f90 dynqtor.f90 \

=== src/spacegroup/Makefile ===
include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Source files
#-------------------------------------------------------------------------------

SRC_modules = modmain.f90

SRC_main = main.f90

SRC_routines = readinput.f90 gencrystal.f90 sgsymb.f90 seitzgen.f90 \
 gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90

SRC_lib = findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90

SRC = $(SRC_modules) $(SRC_main) $(SRC_routines) $(SRC_lib)

OBJ = $(SRC:.f90=.o)
EXE = spacegroup

spacegroup:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ)

clean:
	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT *.xsf *.ascii gmon.out \
         *.aux *.dvi *.log *.pdf *.tex *.toc $(EXE)

copy:
	cd ..;cp $(SRC_lib) spacegroup

doc:
	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) $(SRC_lib) \
         > spacegroup.tex
	pdflatex spacegroup;pdflatex spacegroup;pdflatex spacegroup

=== debian/changelog ===
elkcode (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 20 Oct 2013 22:23:47 +0200

elkcode (2.2.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added libxc-dev, mpi-default-dev and
    pkg-config.
  * debian/copyright: Added copyright note about elk-bands.
  * debian/elk-bands.1: Added.
  * debian/elk-lapw.1: Ditto.
  * debian/elk-lapw.manpages: Ditto.
  * debian/patches/makefile_clean.patch: Merged into makeflags.patch.
  * debian/patches/skip_blas_lapack.patch: Ditto.
  * debian/patches/makeflags.patch: Extended.
    - Merged contents of debian/patches/makefile_clean.patch.
    - Merged contents of debian/patches/skip_blas_lapack.patch.
    - Enabled MPI support (use mpif90 and mpif77 instead of gfortran).
    - Enabled support for libxc.
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/control (Build-Depends): Added mpi-default-bin. 
  * debian/elk-lpaw.examples: New file, install the upstream examples directory
    instead of the testsuite input files.
  * debian/rules (override_dh_installexamples): Removed.
  * debian/rules (override_dh_auto_test): Set OMPI_MCA_orte_rsh_agent
    environment variable to make test suite run in a chroot without
    warnings/errors from OpenMPI.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Sep 2013 17:25:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
 Build-Depends: debhelper (>= 8),
                gfortran,
                libblas-dev,
-               liblapack-dev
+               liblapack-dev,
+               libxc-dev,
+               mpi-default-bin,
+               mpi-default-dev,
+               pkg-config
 Standards-Version: 3.9.4
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/

## elkcode 2.2.10

=== src/Makefile ===

#-------------------------------------------------------------------------------
# defaults
#-------------------------------------------------------------------------------
MAKE = make
AR = ar
F90 = f90
F90_OPTS =
F77 = f90
F77_OPTS =
LIB_SYS =
LIB_LPK = lapack.a blas.a
LIB_FFT = fftlib.a
LIB_XC =

include ../make.inc

#-------------------------------------------------------------------------------
# To use MPI parallelism change the variable F90 in elk/make.inc to the MPI
# version of Fortran 90 (usually mpif90). Then comment out the following line
# and run 'make clean' followed by 'make'.
SRC_mpi = mpi_stub.f90
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
SRC_libxc = libxcifc_stub.f90
# To install libxc first download and compile the library, and then copy libxc.a
# to this directory. Then uncomment the following lines and run 'make clean'
# followed by 'make'.
#LIB_XC = libxc.a
#SRC_libxc = libxc_funcs.f90 libxc.f90 libxcifc.f90
#-------------------------------------------------------------------------------

# modules
SRC_modules = modmain.f90 $(SRC_mpi) modmpi.f90 $(SRC_libxc) modxcifc.f90 \
 modfxcifc.f90 modldapu.f90 modrdm.f90 modphonon.f90 modscdft.f90 modtest.f90 \
 modrandom.f90 modstore.f90 modpw.f90 modvars.f90

# main program
SRC_main = main.f90

# subroutines and functions
SRC_routines = \
 findprimcell.f90 charge.f90 moment.f90 genppts.f90 rbsht.f90 rfsht.f90 \
 rfinp.f90 rfmtinp.f90 energy.f90 rhonorm.f90 rhocore.f90 energynn.f90 \
 zfmtctof.f90 rfmtctof.f90 init0.f90 init1.f90 init2.f90 init3.f90 init4.f90 \
 hmlrad.f90 olprad.f90 potks.f90 bfieldks.f90 zpotclmt.f90 zpotcoul.f90 \
 writeengy.f90 writechg.f90 ztorflm.f90 rtozflm.f90 potplot.f90 plot1d.f90 \
 plot2d.f90 plot3d.f90 genvsig.f90 findswidth.f90 sphcover.f90 allatoms.f90 \
 zbsht.f90 zfsht.f90 genylm.f90 genrlm.f90 fderiv.f90 fsmooth.f90 zheri.f90 \
 zher2i.f90 lopzflm.f90 potnucl.f90 timesec.f90 rhomag.f90 erf.f90 \
 writestate.f90 readstate.f90 rotaxang.f90 i3minv.f90 i3mdet.f90 i3mtv.f90 \
 r3mv.f90 r3mtv.f90 r3cross.f90 r3minv.f90 r3mdet.f90 r3frac.f90 r3mm.f90 \
 r3mtm.f90 r3mmt.f90 zflmconj.f90 rotzflm.f90 z2mm.f90 z2mctm.f90 z2mmct.f90 \
 rfmtsm.f90 rhomagsm.f90 mae.f90 symmat.f90 genstrain.f90 genshtmat.f90 \
 writeiad.f90 symvect.f90 sbessel.f90 sbesseldm.f90 nuclei.f90 polynom.f90 \
 genstress.f90 writestress.f90 latvstep.f90 zfmtadd.f90 occupy.f90 \
 putoccsv.f90 getoccsv.f90 linengy.f90 writeinfo.f90 readinput.f90 genylmg.f90 \
 writefermi.f90 readfermi.f90 writelinen.f90 writesf.f90 gengvec.f90 \
 wigner3j.f90 wigner6j.f90 clebgor.f90 nfftifc.f90 zfftifc.f90 gridsize.f90 \
 gaunt.f90 gauntyry.f90 sphcrd.f90 wavefmt.f90 brzint.f90 sortidx.f90 \
 factnm.f90 factr.f90 hermite.f90 euler.f90 gcd.f90 fermisurfbxsf.f90 \
 writeeval.f90 match.f90 rhomagsh.f90 mixpack.f90 readspecies.f90 delevec.f90 \
 rdiracint.f90 rdiracdme.f90 rdirac.f90 spline.f90 rschrodint.f90 \
 rschroddme.f90 rschrodapp.f90 rfinterp.f90 gencore.f90 genhvec.f90 \
 writelat.f90 findigp0.f90 writeforces.f90 genjlgpr.f90 pade.f90 symmetry.f90 \
 findsym.f90 findsymcrys.f90 findsymsite.f90 writekpts.f90 reciplat.f90 \
 olpistl.f90 olpaa.f90 olpalo.f90 olplolo.f90 hmlistl.f90 hmlaa.f90 hmlalo.f90 \
 hmllolo.f90 writefsm.f90 connect.f90 flushifc.f90 testcheck.f90 checkfsm.f90 \
 atom.f90 fsmfield.f90 geomopt.f90 atpstep.f90 bandstr.f90 findsymlat.f90 \
 findkpt.f90 putevalfv.f90 getevalfv.f90 mixerifc.f90 axangsu2.f90 wfplot.f90 \
 genwiq2.f90 writewiq2.f90 writeefg.f90 gensocfr.f90 nesting.f90 checkmt.f90 \
 mtdmin.f90 putevalsv.f90 getevalsv.f90 dos.f90 putevecfv.f90 getevecfv.f90 \
 putevecsv.f90 getevecsv.f90 fermisurf.f90 writesym.f90 genidxlo.f90 \
 addlorbcnd.f90 genlofr.f90 genapwfr.f90 sdelta.f90 stheta.f90 sdelta_mp.f90 \
 stheta_mp.f90 sdelta_fd.f90 stheta_fd.f90 sdelta_sq.f90 stheta_sq.f90 \
 sdelta_lr.f90 stheta_lr.f90 vecfbz.f90 mixadapt.f90 mixpulay.f90 \
 mixbroyden.f90 ylmrot.f90 ylmroty.f90 rlmrot.f90 rotrflm.f90 radnucl.f90 \
 findngkmax.f90 zgerci.f90 gencfun.f90 writegeom.f90 genrmesh.f90 effmass.f90 \
 mossbauer.f90 findband.f90 compton.f90 geomplot.f90 genlmirep.f90 \
 gndstate.f90 genjlgq0r.f90 findqpt.f90 ssfext.f90 sstask.f90 spiralsc.f90 \
 genscss.f90 findscq.f90 writeqpts.f90 writelsj.f90 getcf2pt.f90 \
 dielectric.f90 nonlinopt.f90 vecplot.f90 gengkvec.f90 wfcrplot.f90 rfpack.f90 \
 rfint.f90 energykncr.f90 rhoplot.f90 genwfsv.f90 genwfsvp.f90 seceqn.f90 \
 seceqnfv.f90 seceqnfvz.f90 seceqnfvr.f90 seceqnit.f90 seceqnsv.f90 \
 seceqnss.f90 genevfsv.f90 zfinp.f90 zfmtinp.f90 rhoinit.f90 grad2rfmt.f90 \
 gendmat.f90 symdmat.f90 gensdmat.f90 ggamt_1.f90 ggair_1.f90 ggamt_sp_1.f90 \
 ggair_sp_1.f90 ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 ggair_2b.f90 \
 ggamt_sp_2a.f90 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 \
 genspecies.f90 writeemd.f90 gensfacgp.f90 rhomagk.f90 wavefcr.f90 exxengy.f90 \
 exxengyk.f90 zfmtmul1.f90 zfmtmul2.f90 seceqnhf.f90 genzvclmt.f90 elnes.f90 \
 potefield.f90 genffacgp.f90 gentau.f90 gentauk.f90 gentaucr.f90 genzrho.f90 \
 potcoul.f90 rtozfmt.f90 ztorfmt.f90 xc_c_tb09.f90 rfirvec.f90 elfplot.f90 \
 genexpmt.f90 gradzfmt.f90 gradrfmt.f90 gradzf.f90 gradrf.f90 projsbf.f90 \
 genpmat.f90 writepmat.f90 getpmat.f90 gengqrf.f90 moke.f90 sfacinit.f90 \
 sfacrho.f90 sfacmag.f90 gradwf2.f90 gradwfcr2.f90 force.f90 forcek.f90 \
 symrf.f90 symrfir.f90 symrvfir.f90 symrvf.f90 potxc.f90 oepmain.f90 \
 oepresk.f90 oepvnl.f90 oepvnlk.f90 genvchi0.f90 genspchi0.f90 epsinv_rpa.f90 \
 dbxcplot.f90 genvmat.f90 genvmatk.f90 vnlcore.f90 genzmagmt.f90 genzmag.f90 \
 zftrf.f90 zftzf.f90 writehmlbse.f90 hmlxbse.f90 hmlxbsek.f90 hmldbse.f90 \
 hmldbsek.f90 dielectric_bse.f90 genidxbse.f90 writeevbse.f90 hartfock.f90 \
 hflocal.f90 genkmatc.f90 zrhogp.f90 genwfpw.f90 writewfpw.f90 getwfpw.f90 \
 genbmatk.f90 genexpmat.f90 writeexpmat.f90 rvfcross.f90 rfarray.f90

SRC_phonon = \
 phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 readdyn.f90 dynqtor.f90 \
 dynrtoq.f90 dynsymapp.f90 dynsym.f90 dyndiag.f90 phdos.f90 sumrule.f90 \
 writephn.f90 phfext.f90 writegamma.f90 readgamma.f90 phlwidth.f90 alpha2f.f90 \
 writelambda.f90 phscdelete.f90 ephcouple.f90 genephmat.f90 eliashberg.f90 \
 phdvs.f90 writedvs.f90 readdvs.f90 readalpha2f.f90 mcmillan.f90 phonon.f90 \
 dforce.f90 dmatch.f90 dhmlaa.f90 dhmlalo.f90 dhmllolo.f90 dhmlistl.f90 \
 dolpaa.f90 dolpalo.f90 dolpistl.f90 putdevalfv.f90 getdevalfv.f90 dhmlrad.f90 \
 putdevecfv.f90 getdevecfv.f90 putdevecsv.f90 getdevecsv.f90 dseceqnfv.f90 \
 gendcfun.f90 dwavefmt.f90 gendsocfr.f90 dpotcoul.f90 dpotxc.f90 gendvsig.f90 \
 dpotks.f90 phmixpack.f90 zfpack.f90 gendwfsv.f90 drhomagk.f90 gradrhomt.f90 \
 phdelete.f90 gengvsmt.f90 dforcek.f90 hmlaaq.f90 hmlaloq.f90 olpaaq.f90 \
 olpaloq.f90

SRC_SCDFT = \
 hmlbdg.f90 seceqnbdg.f90 scdft.f90 genachi.f90 bdginv.f90 achiinit.f90 \
 genidxbdg.f90

SRC_LDAU = \
 gendmatlu.f90 genveelu.f90 genvmatlu.f90 writeldapu.f90 readalphalu.f90 \
 tensmom.f90  dm2tensmom.f90  tensmomengy.f90 dmplz.f90 fluykwa.f90 \
 fluykwa0.f90 genflufr.f90 engyflu.f90 writeengyflu.f90 zbessela.f90 \
 zbesselb.f90 readdmatlu.f90 genflu.f90 findlambdalu.f90 readflu.f90 \
 writetensmom.f90

SRC_RDMFT = \
 rdmft.f90 rdmdkdc.f90 rdmminc.f90 rdmvaryc.f90 rdmdedc.f90 rdmenergy.f90 \
 rdmengyxc.f90 rdmwritededn.f90 rdmwriteengy.f90 rdmminn.f90 rdmvaryn.f90 \
 rdmdedn.f90 rdmdexcdn.f90 genvnlijji.f90 genvnlijjk.f90 getvnlijji.f90 \
 getvnlijjk.f90 writevnlijji.f90 writevnlijjk.f90 rdmdexcdc.f90 rdmdtsdn.f90 \
 rdmentropy.f90 rdmeval.f90

SRC_TDDFT = tddftlr.f90 genvfxc.f90 genfxcr.f90 genspfxcr.f90 genvfxcg.f90 \
 tddftsplr.f90 genspfxcg.f90

SRC_xc = \
  xc_pzca.f90 xc_pwca.f90 xc_pbe.f90 xc_am05.f90 xc_xalpha.f90 xc_wc06.f90 \
  x_wc06.f90 x_pbe.f90 c_pbe.f90 c_pbe_gcor.f90 xc_vbh.f90 fxc_pwca.f90

SRC = $(SRC_modules) $(SRC_main) $(SRC_routines) $(SRC_phonon) \
 $(SRC_SCDFT) $(SRC_xc) $(SRC_LDAU) $(SRC_RDMFT) $(SRC_TDDFT)

OBJ = $(SRC:.f90=.o)
EXE = elk

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Targets
#-------------------------------------------------------------------------------
elk:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ) $(LIB_LPK) $(LIB_FFT) $(LIB_XC) \
         $(LIB_SYS)

blas:
	cd BLAS; $(MAKE); cp blas.a ..

lapack:
	cd LAPACK; $(MAKE); cp lapack.a ..

fft:
	cd fftlib; $(MAKE); cp fftlib.a ..

all:	blas lapack fft elk

clean:
	rm -f *.o *.mod *~ ifc* *.gcno gmon.out *.aux *.dvi *.log \
         elk.pdf *.tex *.toc $(EXE)

cleanall:
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	$(MAKE) clean

doc:
	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
	ls $(SRC_modules) $(SRC_routines) $(SRC_xc) $(SRC_phonon) $(SRC_LDAU) \
         $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
	./protex -F -s $(SRC_main) $$(cat elk.lst) > elk.tex
	pdflatex elk;pdflatex elk;pdflatex elk

backup:
	tar -czf elk.tgz *.f90 fftlib eos spacegroup junk BLAS LAPACK \
         Makefile notes.txt ../docs ../examples ../tests protex ../COPYING \
         ../README elk_silhouette.pdf depend gentest genalltests \
         checklist.txt rmspaces grepelk

VERSION = $$(awk -F"/" '/data version/ {print $$2}' modmain.f90 | sed 's/ //g;s/,/./g')$
NAME = elk-$(VERSION)
RELEASE = ../release/$(NAME)

release:
	rm -rf $(RELEASE)
	mkdir $(RELEASE)
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	cd eos; $(MAKE) clean
	cd spacegroup; $(MAKE) clean
	cd ..; find . -type f -name *~ -exec rm -f {} \;
	cd ..; find . -type f -name gmon.out -exec rm -f {} \;
	cd ..; find . -type f -name RUNNING -exec rm -f {} \;
	mkdir $(RELEASE)/src
	cp -r BLAS $(RELEASE)/src
	cp -r LAPACK $(RELEASE)/src
	cp -r fftlib $(RELEASE)/src
	cp -r eos $(RELEASE)/src
	cp -r spacegroup $(RELEASE)/src
	cp $(SRC) Makefile protex elk_silhouette.pdf $(RELEASE)/src
	cp libxc_funcs.f90 libxc.f90 libxcifc.f90 $(RELEASE)/src
	cp -r ../examples $(RELEASE)
	cp -r ../tests $(RELEASE)
	mkdir $(RELEASE)/species
	cp ../species/*.in $(RELEASE)/species
	cp -r ../utilities $(RELEASE)
	cp ../COPYING $(RELEASE)
	cp ../README $(RELEASE)
	cp ../release_notes.txt $(RELEASE)
	cp ../Makefile $(RELEASE)
	cp ../setup $(RELEASE)
	$(MAKE) doc
	cp elk.pdf ../docs
	cd spacegroup;$(MAKE) doc;cp spacegroup.pdf ../../docs;$(MAKE) clean
	cp -r ../docs $(RELEASE)
	tar -C ../release -czf ../release/$(NAME).tgz $(NAME)
	cp ../docs/elk.pdf ../release
	cp ../docs/spacegroup.pdf ../release

lines:
	cat $(SRC) | wc -l

spaces:
	./rmspaces $(SRC)

=== src/eos/Makefile ===
include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Source files
#-------------------------------------------------------------------------------
SRC = modmain.f90 eos.f90 eveos.f90 pveos.f90 readinput.f90 getedata.f90 \
      fitdata.f90 output.f90 minf_nm.f90 fmin_nm.f90

OBJ = $(SRC:.f90=.o)
EXE = eos

eos:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ)

clean:
	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT gmon.out $(EXE)

=== src/fftlib/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = cfftnd.f90
OBJ = $(SRC:.f90=.o)

fftlib:	$(OBJ)
	$(AR) -rc fftlib.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno

=== src/spacegroup/Makefile ===
--- 
+++ 
@@ -16,11 +16,10 @@
 SRC_main = main.f90
 
 SRC_routines = readinput.f90 gencrystal.f90 sgsymb.f90 seitzgen.f90 \
- gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90
+ gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90 \
+ findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90
 
-SRC_lib = findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90
-
-SRC = $(SRC_modules) $(SRC_main) $(SRC_routines) $(SRC_lib)
+SRC = $(SRC_modules) $(SRC_main) $(SRC_routines)
 
 OBJ = $(SRC:.f90=.o)
 EXE = spacegroup
@@ -32,11 +31,7 @@
 	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT *.xsf *.ascii gmon.out \
          *.aux *.dvi *.log *.pdf *.tex *.toc $(EXE)
 
-copy:
-	cd ..;cp $(SRC_lib) spacegroup
-
 doc:
-	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) $(SRC_lib) \
-         > spacegroup.tex
+	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) > spacegroup.tex
 	pdflatex spacegroup;pdflatex spacegroup;pdflatex spacegroup

=== debian/changelog ===
elkcode (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 15 Dec 2013 20:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                mpi-default-bin,
                mpi-default-dev,
                pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elkcode/

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,9 @@
 %:
 	dh $@
 
-override_dh_installexamples:
-	for i in tests/test-*; do                                    		\
-	  mkdir -p $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`; 	\
-	  cp $$i/elk.in $(EXAMPLEDIR)/`echo $$i | sed s/tests.test-0/example-/`;\
-	done
-
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	(cd tests; sh ./tests_quick.sh)
+	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false sh ./tests_quick.sh)
 	for i in tests/test-*/test.log; do	\
 	  if [ -e $$i ]; then			\
 	    echo "Error for test $$i:";		\

## elkcode 2.3.22

=== Makefile ===

MAKE = make

include make.inc

all:
	cd src; $(MAKE) all
	cd src/eos; $(MAKE)
	cd src/spacegroup; $(MAKE)

clean:
	cd src; $(MAKE) cleanall
	cd src/eos; $(MAKE) clean
	cd src/spacegroup; $(MAKE) clean
	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.exe

test:
	cd tests; ./tests.sh

=== src/Makefile ===

include ../make.inc

# modules
SRC_modules = modmain.f90 $(SRC_MPI) modmpi.f90 $(SRC_libxc) modxcifc.f90 \
 modfxcifc.f90 moddftu.f90 modrdm.f90 modphonon.f90 modscdft.f90 modtest.f90 \
 modrandom.f90 modstore.f90 modpw.f90 modvars.f90 modtddft.f90

# main program
SRC_main = main.f90

# subroutines and functions
SRC_routines = \
 findprimcell.f90 charge.f90 moment.f90 genppts.f90 rbsht.f90 rfsht.f90 \
 rfinp.f90 rfmtinp.f90 energy.f90 rhonorm.f90 rhocore.f90 energynn.f90 \
 zfmtctof.f90 rfmtctof.f90 init0.f90 init1.f90 init2.f90 init3.f90 init4.f90 \
 hmlrad.f90 olprad.f90 potks.f90 bfieldks.f90 zpotclmt.f90 zpotcoul.f90 \
 writeengy.f90 writechg.f90 ztorflm.f90 rtozflm.f90 potplot.f90 plot1d.f90 \
 plot2d.f90 plot3d.f90 genvsig.f90 findswidth.f90 sphcover.f90 allatoms.f90 \
 zbsht.f90 zfsht.f90 genylm.f90 genrlm.f90 fderiv.f90 fsmooth.f90 zheri.f90 \
 zher2i.f90 lopzflm.f90 potnucl.f90 timesec.f90 rhomag.f90 erf.f90 mae.f90 \
 writestate.f90 readstate.f90 rotaxang.f90 axangrot.f90 i3minv.f90 i3mdet.f90 \
 i3mtv.f90 r3mv.f90 r3mtv.f90 r3cross.f90 r3minv.f90 r3mdet.f90 r3frac.f90 \
 r3mm.f90 r3mtm.f90 r3mmt.f90 zflmconj.f90 rotzflm.f90 z2mm.f90 z2mctm.f90 \
 z2mmct.f90 rfmtsm.f90 rhomagsm.f90 gentpmae.f90 symmat.f90 genstrain.f90 \
 genshtmat.f90 writeiad.f90 symvect.f90 sbessel.f90 sbesseldm.f90 nuclei.f90 \
 polynom.f90 genstress.f90 writestress.f90 latvstep.f90 zfmtadd.f90 occupy.f90 \
 putoccsv.f90 getoccsv.f90 linengy.f90 writeinfo.f90 readinput.f90 genylmg.f90 \
 writefermi.f90 readfermi.f90 writelinen.f90 writesf.f90 gengvec.f90 match.f90 \
 wigner3j.f90 wigner3jf.f90 wigner6j.f90 clebgor.f90 nfftifc.f90 gridsize.f90 \
 gaunt.f90 gauntyry.f90 sphcrd.f90 wavefmt.f90 brzint.f90 gcd.f90 sortidx.f90 \
 factnm.f90 factr.f90 hermite.f90 roteuler.f90 eulerrot.f90 reciplat.f90 \
 fermisurfbxsf.f90 writeeval.f90 rhomagsh.f90 mixpack.f90 readspecies.f90 \
 delevec.f90 rdiracint.f90 rdiracdme.f90 rdirac.f90 spline.f90 rschrodint.f90 \
 rschroddme.f90 rschrodapp.f90 rfinterp.f90 gencore.f90 genhvec.f90 \
 writelat.f90 findigp0.f90 writeforces.f90 genjlgpr.f90 pade.f90 symmetry.f90 \
 findsym.f90 findsymcrys.f90 findsymsite.f90 writekpts.f90 olpistl.f90 \
 olpaa.f90 olpalo.f90 olplolo.f90 hmlistl.f90 hmlaa.f90 hmlalo.f90 hmllolo.f90 \
 writefsm.f90 connect.f90 flushifc.f90 testcheck.f90 checkfsm.f90 atom.f90 \
 fsmfield.f90 geomopt.f90 atpstep.f90 bandstr.f90 findsymlat.f90 findkpt.f90 \
 putevalfv.f90 getevalfv.f90 mixerifc.f90 axangsu2.f90 wfplot.f90 genwiq2.f90 \
 writewiq2.f90 writeefg.f90 gensocfr.f90 nesting.f90 checkmt.f90 mtdmin.f90 \
 putevalsv.f90 getevalsv.f90 dos.f90 putevecfv.f90 getevecfv.f90 putevecsv.f90 \
 getevecsv.f90 fermisurf.f90 writesym.f90 genidxlo.f90 addlorbcnd.f90 \
 genlofr.f90 genapwfr.f90 sdelta.f90 stheta.f90 sdelta_mp.f90 stheta_mp.f90 \
 sdelta_fd.f90 stheta_fd.f90 sdelta_sq.f90 stheta_sq.f90 sdelta_lr.f90 \
 stheta_lr.f90 vecfbz.f90 mixlinear.f90 mixadapt.f90 mixpulay.f90 \
 mixbroyden.f90 ylmrot.f90 ylmroty.f90 rlmrot.f90 rotrflm.f90 radnucl.f90 \
 findngkmax.f90 zgerci.f90 gencfun.f90 writegeom.f90 genrmesh.f90 effmass.f90 \
 mossbauer.f90 findband.f90 compton.f90 geomplot.f90 genlmirep.f90 \
 gndstate.f90 genjlgq0r.f90 findqpt.f90 ssfext.f90 sstask.f90 spiralsc.f90 \
 genscss.f90 findscq.f90 writeqpts.f90 writelsj.f90 getcf2pt.f90 proj2d.f90 \
 dielectric.f90 nonlinopt.f90 vecplot.f90 gengkvec.f90 wfcrplot.f90 rfpack.f90 \
 rfint.f90 energykncr.f90 rhoplot.f90 genwfsv.f90 genwfsvp.f90 eveqn.f90 \
 eveqnfv.f90 eveqnfvz.f90 eveqnfvr.f90 eveqnit.f90 eveqnsv.f90 eveqnss.f90 \
 genevfsv.f90 zfinp.f90 zfmtinp.f90 rhoinit.f90 grad2rfmt.f90 gendmat.f90 \
 symdmat.f90 gensdmat.f90 ggamt_1.f90 ggair_1.f90 ggamt_sp_1.f90 \
 ggair_sp_1.f90 ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 ggair_2b.f90 \
 ggamt_sp_2a.f90 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 \
 genspecies.f90 writeemd.f90 gensfacgp.f90 rhomagk.f90 wavefcr.f90 exxengy.f90 \
 exxengyk.f90 zfmtmul1.f90 zfmtmul2.f90 eveqnhf.f90 genzvclmt.f90 elnes.f90 \
 potefield.f90 genffacgp.f90 gentau.f90 gentauk.f90 gentaucr.f90 genzrho.f90 \
 potcoul.f90 rtozfmt.f90 ztorfmt.f90 xc_c_tb09.f90 rfirvec.f90 elfplot.f90 \
 genexpmt.f90 gradzfmt.f90 gradrfmt.f90 gradzf.f90 gradrf.f90 projsbf.f90 \
 genpmat.f90 writepmat.f90 getpmat.f90 gengqrf.f90 moke.f90 sfacinit.f90 \
 sfacrho.f90 sfacmag.f90 gradwf2.f90 gradwfcr2.f90 force.f90 forcek.f90 \
 symrf.f90 symrfir.f90 symrvfir.f90 symrvf.f90 potxc.f90 oepmain.f90 \
 oepresk.f90 oepvcl.f90 oepvclk.f90 genvchi0.f90 genspchi0.f90 epsinv_rpa.f90 \
 dbxcplot.f90 genvmat.f90 genvmatk.f90 vclcore.f90 genzmagmt.f90 genzmag.f90 \
 zftrf.f90 zftzf.f90 writehmlbse.f90 hmlxbse.f90 hmlxbsek.f90 hmldbse.f90 \
 hmldbsek.f90 dielectric_bse.f90 genidxbse.f90 writeevbse.f90 hartfock.f90 \
 hflocal.f90 genkmatc.f90 zrhogp.f90 genwfpw.f90 writewfpw.f90 getwfpw.f90 \
 genbmatk.f90 genexpmat.f90 writeexpmat.f90 rvfcross.f90 rfarray.f90 \
 rotdmat.f90 hrmdmat.f90 genfspecies.f90 writespecies.f90 massnucl.f90

SRC_phonon = \
 phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 readdyn.f90 dynqtor.f90 \
 dynrtoq.f90 dynsymapp.f90 dynsym.f90 dynev.f90 dynevs.f90 phdos.f90 \
 sumrule.f90 writephn.f90 phfext.f90 writegamma.f90 readgamma.f90 phlwidth.f90 \
 alpha2f.f90 writelambda.f90 phscdelete.f90 ephcouple.f90 genephmat.f90 \
 eliashberg.f90 phdvs.f90 writedvs.f90 readdvs.f90 readalpha2f.f90 \
 mcmillan.f90 phonon.f90 dforce.f90 dmatch.f90 dhmlaa.f90 dhmlalo.f90 \
 dhmllolo.f90 dhmlistl.f90 dolpaa.f90 dolpalo.f90 dolpistl.f90 putdevalfv.f90 \
 getdevalfv.f90 dhmlrad.f90 putdevecfv.f90 getdevecfv.f90 putdevecsv.f90 \
 getdevecsv.f90 deveqnfv.f90 gendcfun.f90 dwavefmt.f90 gendsocfr.f90 \
 dpotcoul.f90 dpotxc.f90 gendvsig.f90 dpotks.f90 phmixpack.f90 zfpack.f90 \
 gendwfsv.f90 drhomagk.f90 gradrhomt.f90 phdelete.f90 gengvsmt.f90 dforcek.f90 \
 hmlaaq.f90 hmlaloq.f90 olpaaq.f90 olpaloq.f90

SRC_SCDFT = \
 hmlbdg.f90 eveqnbdg.f90 scdft.f90 genachi.f90 bdginv.f90 achiinit.f90 \
 genidxbdg.f90

SRC_DFTU = \
 gendmatmt.f90 genveedu.f90 genvmatmt.f90 writedftu.f90 readalphadu.f90 \
 fyukawa.f90 fyukawa0.f90 genfdufr.f90 energyfdu.f90 writeefdu.f90 \
 zbessela.f90 zbesselb.f90 readdmatmt.f90 genfdu.f90 findlambdadu.f90 \
 readfdu.f90 writetmdu.f90 writetm2du.f90 writetm3du.f90 dmtotm2.f90 \
 dmtotm3.f90 tm2todm.f90 tm3todm.f90 pottm2.f90 pottm3.f90 tm2pol.f90 \
 tm3pol.f90 gendmftm.f90 ftmfield.f90 writeftm.f90

SRC_RDMFT = \
 rdmft.f90 rdmdkdc.f90 rdmminc.f90 rdmvaryc.f90 rdmdedc.f90 rdmenergy.f90 \
 rdmengyxc.f90 rdmwritededn.f90 rdmwriteengy.f90 rdmminn.f90 rdmvaryn.f90 \
 rdmdedn.f90 rdmdexcdn.f90 genvclijji.f90 genvclijjk.f90 getvclijji.f90 \
 getvclijjk.f90 writevclijji.f90 writevclijjk.f90 rdmdexcdc.f90 rdmdtsdn.f90 \
 rdmentropy.f90 rdmeval.f90

SRC_TDDFT = tddftlr.f90 genvfxc.f90 genfxcr.f90 genspfxcr.f90 genvfxcg.f90 \
 tddftsplr.f90 genspfxcg.f90 genafieldt.f90 readafieldt.f90 tddft.f90 \
 writetddft.f90 genpmatc.f90 genvbmatk.f90

SRC_XC = \
  xc_pzca.f90 xc_pwca.f90 xc_pbe.f90 xc_am05.f90 xc_xalpha.f90 xc_wc06.f90 \
  x_wc06.f90 x_pbe.f90 c_pbe.f90 c_pbe_gcor.f90 xc_vbh.f90 fxc_pwca.f90

SRC = $(SRC_modules) $(SRC_FFT) $(SRC_main) $(SRC_routines) $(SRC_phonon) \
 $(SRC_SCDFT) $(SRC_XC) $(SRC_DFTU) $(SRC_RDMFT) $(SRC_TDDFT)

OBJ = $(SRC:.f90=.o)
EXE = elk

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Targets
#-------------------------------------------------------------------------------
elk:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ) $(LIB_LPK) $(LIB_FFT) $(LIB_libxc) \
         $(LIB_SYS)

blas:
	cd BLAS; $(MAKE); cp blas.a ..

lapack:
	cd LAPACK; $(MAKE); cp lapack.a ..

fft:
	cd fftlib; $(MAKE); cp fftlib.a ..

all:	blas lapack fft elk

clean:
	rm -f *.o *.mod *~ ifc* *.gcno gmon.out *.aux *.dvi *.log \
         elk.pdf *.tex *.toc $(EXE)

cleanall:
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	$(MAKE) clean

doc:
	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
	ls $(SRC_modules) $(SRC_routines) $(SRC_XC) $(SRC_phonon) $(SRC_DFTU) \
         $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
	./protex -F -s $(SRC_main) $$(cat elk.lst) > elk.tex
	pdflatex elk;pdflatex elk;pdflatex elk

backup:
	tar -czf elk.tgz *.f90 fftlib eos spacegroup junk BLAS LAPACK \
         Makefile notes.txt ../docs ../examples ../tests protex ../COPYING \
         ../README elk_silhouette.pdf depend gentest genalltests \
         checklist.txt rmspaces grepelk

VERSION = $$(awk -F"/" '/data version/ {print $$2}' modmain.f90 | sed 's/ //g;s/,/./g')$
NAME = elk-$(VERSION)
RELEASE = ../release/$(NAME)

release:
	rm -rf $(RELEASE)
	mkdir $(RELEASE)
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	cd eos; $(MAKE) clean
	cd spacegroup; $(MAKE) clean
	cd ..; find . -type f -name *~ -exec rm -f {} \;
	cd ..; find . -type f -name gmon.out -exec rm -f {} \;
	cd ..; find . -type f -name RUNNING -exec rm -f {} \;
	mkdir $(RELEASE)/src
	cp -r BLAS $(RELEASE)/src
	cp -r LAPACK $(RELEASE)/src
	cp -r fftlib $(RELEASE)/src
	cp -r eos $(RELEASE)/src
	cp -r spacegroup $(RELEASE)/src
	cp $(SRC) Makefile protex elk_silhouette.pdf $(RELEASE)/src
	cp libxc_funcs.f90 libxc.f90 libxcifc.f90 $(RELEASE)/src
	cp zfftifc.f90 zfftifc_fftw.f90 zfftifc_mkl.f90 $(RELEASE)/src
	cp -r ../examples $(RELEASE)
	cp -r ../tests $(RELEASE)
	mkdir $(RELEASE)/species
	cp ../species/*.in $(RELEASE)/species
	cp -r ../utilities $(RELEASE)
	cp ../COPYING $(RELEASE)
	cp ../README $(RELEASE)
	cp ../release_notes.txt $(RELEASE)
	cp ../Makefile $(RELEASE)
	cp ../setup $(RELEASE)
	cp ../make.def $(RELEASE)
	$(MAKE) doc
	cp elk.pdf ../docs
	cd spacegroup;$(MAKE) doc;cp spacegroup.pdf ../../docs;$(MAKE) clean
	cp -r ../docs $(RELEASE)
	tar -C ../release -czf ../release/$(NAME).tgz $(NAME)
	cp ../docs/elk.pdf ../release
	cp ../docs/spacegroup.pdf ../release

lines:
	cat $(SRC) | wc -l

spaces:
	./rmspaces $(SRC)

=== src/BLAS/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f
.f.o:
	$(F77) $(F77_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = \
 dasum.f   daxpy.f  dcabs1.f  dcopy.f  ddot.f   dgemm.f	 dgemv.f   dger.f \
 dnrm2.f   dscal.f  dswap.f   dsymm.f  dsymv.f  dsyr2.f	 dsyr2k.f  dsyr.f \
 dsyrk.f   dtrmm.f  dtrmv.f   dtrsm.f  dtrsv.f  dzasum.f  dznrm2.f  idamax.f \
 izamax.f  lsame.f  xerbla.f  zaxpy.f  zcopy.f  zdotc.f	 zdotu.f   zdscal.f \
 zgemm.f   zgemv.f  zgerc.f   zgeru.f  zhemm.f  zhemv.f	 zher2.f   zher2k.f \
 zherk.f   zhpmv.f  zhpr2.f   zhpr.f   zscal.f  zswap.f	 ztpmv.f   ztpsv.f \
 ztrmm.f   ztrmv.f  ztrsm.f   ztrsv.f

OBJ = $(SRC:.f=.o)

blas:	$(OBJ)
	$(AR) -rc blas.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno gmon.out

ls:
	ls -x --width=80 *.f

=== src/spacegroup/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 include ../../make.inc
 
 #-------------------------------------------------------------------------------

=== debian/changelog ===
elkcode (2.3.22-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:47:17 +0000

elkcode (2.3.22-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:26:10 +0000

elkcode (2.3.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Split out clean-target specific hunks in
    Makefiles into ...
  * debian/patches/makefile_clean.patch: ... this new patch.
  * debian/rules (override_dh_auto_build): New target, build the TeX-based
    PDF-manuals as well.
  * debian/control (Build-Depends): Added texlive-latex-base.
  * debian/patches/makefile_clean.patch: Clean elk.out and elk.lst (generated
    during PDF build) as well.
  * debian/elk-lapw.docs: Install built PDF files from under src/, not the the
    shipped ones from docs/.
  * debian/patches/makeflags.patch: Updated and refreshed.
  * debian/patches/testsuite_quick.patch: Added test case #18.
  * debian/patches/elk.fftw3.zfftifc.f90.patch: Removed, no longer needed.
  * debian/patches/makefile_clean.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 23:36:38 +0100

elkcode (2.2.10-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added libfftw3-dev.
  * debian/copyright: Minor update.
  * debian/patches/elk.fftw3.zfftifc.f90.patch: Added (taken from Fedora).
    - Compile with FFTW3.
  * debian/patches/makeflags.patch: Adjusted.
    - Build with FFTW3 and exclude all internal copies from compilation.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Fri, 21 Feb 2014 00:41:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 8),
                gfortran,
                libblas-dev,
+               libfftw3-dev,
                liblapack-dev,
                libxc-dev,
                mpi-default-bin,
                mpi-default-dev,
-               pkg-config
+               pkg-config,
+               texlive-latex-base
 Standards-Version: 3.9.5
 Homepage: http://elk.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/

=== debian/watch ===
version=3
http://sf.net/elk/elk-([\d.]+)\.tgz
